Panzehir

Registered
Aug 30, 2014
2
0
1
cPanel Access Level
Website Owner
I used EasyApache for build php. But i got Yum installer failed error.

Code:
I run this is code manual with ssh
"yum -y install gettext automake19 libstdc++.x86_64 libpng-devel readline-devel openssl libpng-dev zlib-devel autoconf261 libidn-devel gmake libidn libXpm openssl-devel automake coreutils patch libltdl3-devel libltdl libopenssl0.9.7-static-devel readline-dev libtool-ltdl-devel libXpm-devel sed libXpm-dev lsof krb5-dev flex glibc-dev expat-dev krb5-devel libstdc++-devel.x64_64 xorg-x11-devel libtool-ltdl libssl-dev pam-devel libopenssl0-devel zlib1-devel liblve-devel expat-devel libopenssl0-dev glibc-devel expat gcc-c++ zlib bison libjpeg-devel libtool-libltdl-devel libtool openssl-dev libopenssl0 libz-devel libjpeg-dev pam-dev fileutils libltdl-devel libopenssl0.9.7-devel e2fsprogs-devel ca_root_nss make libstdc++-dev.x86_64 libX11-devel libstdc++-devel.x86_64 gd cpp xorg-x11-dev gcc ssl-dev lex autoconf"
But i got error coreutils.

Code:
Resolving Dependencies                                                                           
--> Running transaction check                                                                    
---> Package coreutils.x86_64 0:8.4-31.el6 will be updated                                       
---> Package coreutils.x86_64 0:8.4-31.el6_5.2 will be an update                                 
--> Finished Dependency Resolution                                                               

Dependencies Resolved

=================================================================================================
 Package          Arch          Version                  Repository                         Size 
=================================================================================================
Updating:                                                                                        
 coreutils        x86_64        8.4-31.el6_5.2           cloudlinux-x86_64-server-6        3.0 M 

Transaction Summary
=================================================================================================
Upgrade       1 Package(s)

Total download size: 3.0 M
Downloading Packages:
coreutils-8.4-31.el6_5.2.x86_64.rpm                                       | 3.0 MB     00:02

Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : coreutils-8.4-31.el6_5.2.x86_64                                               1/2
Error unpacking rpm package coreutils-8.4-31.el6_5.2.x86_64
error: unpacking of archive failed on file /bin/cat: cpio: rename
Unable to send message to PackageKit
coreutils-8.4-31.el6.x86_64 was supposed to be removed but is not!
  Verifying  : coreutils-8.4-31.el6.x86_64                                                   1/2
  Verifying  : coreutils-8.4-31.el6_5.2.x86_64                                               2/2

Failed:
  coreutils.x86_64 0:8.4-31.el6                 coreutils.x86_64 0:8.4-31.el6_5.2

Complete!
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463
Hello :)

I am happy to see you were able to resolve the issue. Note that you may want to investigate to see why "/bin/cat" was configured with the immutable attribute. It's not configured that way by default.

Thank you.